Application: gvSIG desktop - gvSIG bugs #2994

Registros desplazados de celda al realizar una unién de tablas

11/12/2014 07:18 AM - Ricardo Rueda Ochando

Status: Invalid

Priority: Normal

Assignee: Francisco Diaz Carsi
Category: Document table

Target version:

2.2.0-2303 (rev. org.gvsig.desktop-2.0.90

% Done: 0%

Spent time: 0.00 hour

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Al unir dos tablas con la herramienta de tabla -- crear unién en ocasiones se genera uno o mas registros cuyos datos aparecen en

columnas o celdas que no corresponden con la que tenian que estar. Adjunto pantallazo de la tabla con el registro marcado. Y

adjunto shape y dbf utilizado en la unién de tablas.

La unién realizada es la siguiente:

Origen de datos pks2010-3Demo_2D-2.shp
Segundo origen de datos kps_modificado_ids_intermedios.dbf

Clave primera tabla "streth”
Clave segunda tabla "streth_id"

Atributos a unir:
id

kp

meters
streth_id

Cargar COmo una capa nueva

History

#1 - 11/12/2014 08:28 AM - Alvaro Anguix
- Status changed from New to Invalid

Lo he probado en la 2254 y no ocurre.

#2 - 11/12/2014 08:35 AM - Ricardo Rueda Ochando
- Status changed from Invalid to New

Se me olvidé comentar que es un error aleatorio, a veces ocurre a veces no. De hecho cuando ocurre, repites el proceso y entonces sale bien.

05/11/2024

1/2




#3 - 11/17/2014 04:53 AM - Joaquin del Cerro Murciano

Ricardo Rueda Ochando wrote:

Se me olvidé comentar que es un error aleatorio, a veces ocurre a veces no. De hecho cuando ocurre, repites el proceso y entonces sale bien.

¢, Cuando te ocurra puedes adjuntar el registro de errores (gvSIG.log) a ver si aporta algo de informacion relacionada con el error ?

#4 - 12/10/2014 12:21 PM - Alvaro Anguix

- Category changed from Application to Document table

#5 - 03/10/2015 11:49 AM - Alvaro Anguix
- Severity changed from Minor to Major
- Target version set to 2.2.0-2311-rc2

- Assignee set to Francisco Diaz Carsi

#6 - 03/11/2015 04:21 PM - Francisco Diaz Carsi

- Status changed from New to Invalid

Ricardo, la marco como "invalid" porque no lo puedo reproducir.

Si te vuelve a ocurrir, por favor, adjunta el log como comenta Joaquin mas arriba.

#7 - 03/19/2015 01:18 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)
